Changeset 258 for ThirdParty/FilterSQP


Ignore:
Timestamp:
Mar 15, 2007 2:03:25 PM (13 years ago)
Author:
andreasw
Message:

reverted search order for compiler back to GNU before Intel

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/configure

    r231 r258  
    30253025       coin_f77_comps="ifort fl32"
    30263026     else
    3027        coin_f77_comps="gfortran g77 ifort fl32"
     3027       coin_f77_comps="gfortran ifort g77 fl32"
    30283028     fi ;;
    30293029  sparc-sun-solaris*)
     
    54865486
    54875487
    5488 unset ac_cv_file__________libtool
    5489 unset ac_cv_file_______libtool
    5490 unset ac_cv_file____libtool
    5491 
    54925488LIBTOOL=
    5493 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5494 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5495 if test "${ac_cv_file____libtool+set}" = set; then
    5496   echo $ECHO_N "(cached) $ECHO_C" >&6
    5497 else
    5498   test "$cross_compiling" = yes &&
    5499   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5500 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5501    { (exit 1); exit 1; }; }
    5502 if test -r "../libtool"; then
    5503   ac_cv_file____libtool=yes
    5504 else
    5505   ac_cv_file____libtool=no
    5506 fi
    5507 fi
    5508 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5509 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5510 if test $ac_cv_file____libtool = yes; then
     5489if test -r ../libtool; then
    55115490  coin_config_dir=..
    5512                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5513 fi
    5514 
     5491  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5492fi
    55155493if test "x$LIBTOOL" = x; then
    5516   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5517 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5518 if test "${ac_cv_file_______libtool+set}" = set; then
    5519   echo $ECHO_N "(cached) $ECHO_C" >&6
    5520 else
    5521   test "$cross_compiling" = yes &&
    5522   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5523 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5524    { (exit 1); exit 1; }; }
    5525 if test -r "../../libtool"; then
    5526   ac_cv_file_______libtool=yes
    5527 else
    5528   ac_cv_file_______libtool=no
    5529 fi
    5530 fi
    5531 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5532 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5533 if test $ac_cv_file_______libtool = yes; then
    5534   coin_config_dir=../..
    5535                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5536 fi
    5537 
    5538 fi
    5539 # if test "x$LIBTOOL" = x; then
    5540 #   AC_CHECK_FILE([../../../libtool],
    5541 #                 [coin_config_dir=../../..
    5542 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5543 # fi
     5494  if test -r ../../libtool; then
     5495    coin_config_dir=../..
     5496    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5497  fi
     5498fi
    55445499
    55455500if test "x$LIBTOOL" = x; then
     
    60946049*-*-irix6*)
    60956050  # Find out which ABI we are using.
    6096   echo '#line 6096 "configure"' > conftest.$ac_ext
     6051  echo '#line 6051 "configure"' > conftest.$ac_ext
    60976052  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60986053  (eval $ac_compile) 2>&5
     
    86328587   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86338588   -e 's:$: $lt_compiler_flag:'`
    8634    (eval echo "\"\$as_me:8634: $lt_compile\"" >&5)
     8589   (eval echo "\"\$as_me:8589: $lt_compile\"" >&5)
    86358590   (eval "$lt_compile" 2>conftest.err)
    86368591   ac_status=$?
    86378592   cat conftest.err >&5
    8638    echo "$as_me:8638: \$? = $ac_status" >&5
     8593   echo "$as_me:8593: \$? = $ac_status" >&5
    86398594   if (exit $ac_status) && test -s "$ac_outfile"; then
    86408595     # The compiler can only warn and ignore the option if not recognized
     
    89008855   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89018856   -e 's:$: $lt_compiler_flag:'`
    8902    (eval echo "\"\$as_me:8902: $lt_compile\"" >&5)
     8857   (eval echo "\"\$as_me:8857: $lt_compile\"" >&5)
    89038858   (eval "$lt_compile" 2>conftest.err)
    89048859   ac_status=$?
    89058860   cat conftest.err >&5
    8906    echo "$as_me:8906: \$? = $ac_status" >&5
     8861   echo "$as_me:8861: \$? = $ac_status" >&5
    89078862   if (exit $ac_status) && test -s "$ac_outfile"; then
    89088863     # The compiler can only warn and ignore the option if not recognized
     
    90048959   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90058960   -e 's:$: $lt_compiler_flag:'`
    9006    (eval echo "\"\$as_me:9006: $lt_compile\"" >&5)
     8961   (eval echo "\"\$as_me:8961: $lt_compile\"" >&5)
    90078962   (eval "$lt_compile" 2>out/conftest.err)
    90088963   ac_status=$?
    90098964   cat out/conftest.err >&5
    9010    echo "$as_me:9010: \$? = $ac_status" >&5
     8965   echo "$as_me:8965: \$? = $ac_status" >&5
    90118966   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    90128967   then
     
    1134911304  lt_status=$lt_dlunknown
    1135011305  cat > conftest.$ac_ext <<EOF
    11351 #line 11351 "configure"
     11306#line 11306 "configure"
    1135211307#include "confdefs.h"
    1135311308
     
    1144911404  lt_status=$lt_dlunknown
    1145011405  cat > conftest.$ac_ext <<EOF
    11451 #line 11451 "configure"
     11406#line 11406 "configure"
    1145211407#include "confdefs.h"
    1145311408
     
    1379313748   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1379413749   -e 's:$: $lt_compiler_flag:'`
    13795    (eval echo "\"\$as_me:13795: $lt_compile\"" >&5)
     13750   (eval echo "\"\$as_me:13750: $lt_compile\"" >&5)
    1379613751   (eval "$lt_compile" 2>conftest.err)
    1379713752   ac_status=$?
    1379813753   cat conftest.err >&5
    13799    echo "$as_me:13799: \$? = $ac_status" >&5
     13754   echo "$as_me:13754: \$? = $ac_status" >&5
    1380013755   if (exit $ac_status) && test -s "$ac_outfile"; then
    1380113756     # The compiler can only warn and ignore the option if not recognized
     
    1389713852   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1389813853   -e 's:$: $lt_compiler_flag:'`
    13899    (eval echo "\"\$as_me:13899: $lt_compile\"" >&5)
     13854   (eval echo "\"\$as_me:13854: $lt_compile\"" >&5)
    1390013855   (eval "$lt_compile" 2>out/conftest.err)
    1390113856   ac_status=$?
    1390213857   cat out/conftest.err >&5
    13903    echo "$as_me:13903: \$? = $ac_status" >&5
     13858   echo "$as_me:13858: \$? = $ac_status" >&5
    1390413859   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1390513860   then
     
    1546715422   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1546815423   -e 's:$: $lt_compiler_flag:'`
    15469    (eval echo "\"\$as_me:15469: $lt_compile\"" >&5)
     15424   (eval echo "\"\$as_me:15424: $lt_compile\"" >&5)
    1547015425   (eval "$lt_compile" 2>conftest.err)
    1547115426   ac_status=$?
    1547215427   cat conftest.err >&5
    15473    echo "$as_me:15473: \$? = $ac_status" >&5
     15428   echo "$as_me:15428: \$? = $ac_status" >&5
    1547415429   if (exit $ac_status) && test -s "$ac_outfile"; then
    1547515430     # The compiler can only warn and ignore the option if not recognized
     
    1557115526   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1557215527   -e 's:$: $lt_compiler_flag:'`
    15573    (eval echo "\"\$as_me:15573: $lt_compile\"" >&5)
     15528   (eval echo "\"\$as_me:15528: $lt_compile\"" >&5)
    1557415529   (eval "$lt_compile" 2>out/conftest.err)
    1557515530   ac_status=$?
    1557615531   cat out/conftest.err >&5
    15577    echo "$as_me:15577: \$? = $ac_status" >&5
     15532   echo "$as_me:15532: \$? = $ac_status" >&5
    1557815533   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1557915534   then
     
    1777817733   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777917734   -e 's:$: $lt_compiler_flag:'`
    17780    (eval echo "\"\$as_me:17780: $lt_compile\"" >&5)
     17735   (eval echo "\"\$as_me:17735: $lt_compile\"" >&5)
    1778117736   (eval "$lt_compile" 2>conftest.err)
    1778217737   ac_status=$?
    1778317738   cat conftest.err >&5
    17784    echo "$as_me:17784: \$? = $ac_status" >&5
     17739   echo "$as_me:17739: \$? = $ac_status" >&5
    1778517740   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778617741     # The compiler can only warn and ignore the option if not recognized
     
    1804618001   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804718002   -e 's:$: $lt_compiler_flag:'`
    18048    (eval echo "\"\$as_me:18048: $lt_compile\"" >&5)
     18003   (eval echo "\"\$as_me:18003: $lt_compile\"" >&5)
    1804918004   (eval "$lt_compile" 2>conftest.err)
    1805018005   ac_status=$?
    1805118006   cat conftest.err >&5
    18052    echo "$as_me:18052: \$? = $ac_status" >&5
     18007   echo "$as_me:18007: \$? = $ac_status" >&5
    1805318008   if (exit $ac_status) && test -s "$ac_outfile"; then
    1805418009     # The compiler can only warn and ignore the option if not recognized
     
    1815018105   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1815118106   -e 's:$: $lt_compiler_flag:'`
    18152    (eval echo "\"\$as_me:18152: $lt_compile\"" >&5)
     18107   (eval echo "\"\$as_me:18107: $lt_compile\"" >&5)
    1815318108   (eval "$lt_compile" 2>out/conftest.err)
    1815418109   ac_status=$?
    1815518110   cat out/conftest.err >&5
    18156    echo "$as_me:18156: \$? = $ac_status" >&5
     18111   echo "$as_me:18111: \$? = $ac_status" >&5
    1815718112   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1815818113   then
     
    2086420819
    2086520820  case $build in
     20821    *x86_64-*)
     20822# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20823      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20824        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20825echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20826        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20827        mv conftest.bla libtool
     20828        chmod 755 libtool
     20829      fi
     20830      ;;
    2086620831    *-cygwin* | *-mingw*)
    2086720832    case "$CXX" in
Note: See TracChangeset for help on using the changeset viewer.